#!/usr/bin/env python
"""XSetBg DBus client

"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 2000-2012 PhiloSoft Design"
__license__ = "GNU GPL"


import sys
import dbus

def main():
    try:
        command = sys.argv[1]
    except IndexError:
        sys.exit('Usage: %s command' % sys.argv[0])

    bus = dbus.SessionBus()
    remote_object = bus.get_object("name.phdru.XSetBg", "/XSetBg")
    iface = dbus.Interface(remote_object, "name.phdru.XSetBg")

    getattr(iface, command)()

if __name__ == '__main__':
    main()
